This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483858 - hangs when exporting to PDF
hangs when exporting to PDF
Status: CLOSED DUPLICATE of bug 477174
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 17:58 EST by Bill Nottingham
Modified: 2014-03-16 23:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 18:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-02-03 17:58:16 EST
Description of problem:

This may be a problem with the file picker.

(gdb) info threads
  11 Thread 0x7f21427b3910 (LWP 17884)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  6 Thread 0x7f21440fe910 (LWP 17861)  0x000000300ecdca16 in __poll (
    fds=0x7f21440fdd10, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:87
  5 Thread 0x7f2150b34910 (LWP 17757)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  4 Thread 0x7f2148411910 (LWP 17801)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  3 Thread 0x7f2147a00910 (LWP 17802)  0x000000300f80e76b in accept ()
   from /lib64/libpthread.so.0
  2 Thread 0x7f2146c58910 (LWP 17811)  0x000000300ecdca16 in __poll (
    fds=0x7f2146cf26f0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
* 1 Thread 0x7f2150b467f0 (LWP 17734)  __lll_lock_wait ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
(gdb) bt
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
#1  0x000000300f80bda0 in pthread_cond_broadcast@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_broadcast.S:118
#2  0x000000301184c327 in ?? () from /usr/lib64/libX11.so.6
#3  0x000000301184c69d in ?? () from /usr/lib64/libX11.so.6
#4  0x000000301184cf59 in _XReadEvents () from /usr/lib64/libX11.so.6
#5  0x000000301182b864 in XIfEvent () from /usr/lib64/libX11.so.6
#6  0x00000000001601f9 in gdk_x11_get_server_time () from /usr/lib64/libgdk-x11-2.0.so.0
#7  0x0000000000895699 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x0000000000896a6b in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x0000000000896cde in gtk_clipboard_set_with_owner ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#10 0x00000000006d36d1 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#11 0x0000000000700da5 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x00000000006d4467 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x0000000000701321 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x0000003e5580b82d in IA__g_closure_invoke (closure=0x231cd80, return_value=0x0, 
    n_param_values=1, param_values=0x7f213ab50d00, invocation_hint=0x7fff58b86740)
    at gclosure.c:767
#15 0x0000003e558222f4 in signal_emit_unlocked_R (node=0x231e480, detail=0, 
    instance=0x23a3870, emission_return=0x0, instance_and_params=0x7f213ab50d00)
    at gsignal.c:3282
#16 0x0000003e55823d09 in IA__g_signal_emit_valist (instance=0x23a3870, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff58b86920)
    at gsignal.c:2977
#17 0x0000003e55824273 in IA__g_signal_emit (instance=0x22f9820, signal_id=128, 
    detail=36673632) at gsignal.c:3034
#18 0x000000000087d9db in gtk_widget_grab_focus () from /usr/lib64/libgtk-x11-2.0.so.0
#19 0x00000000006fe175 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x0000003e5580b82d in IA__g_closure_invoke (closure=0x231ca60, return_value=0x0, 
    n_param_values=1, param_values=0x7f213ab345a0, invocation_hint=0x7fff58b86ba0)
    at gclosure.c:767
#21 0x0000003e55821f3e in signal_emit_unlocked_R (node=0x231cad0, detail=0, 
---Type <return> to continue, or q <return> to quit---
    instance=0x267d170, emission_return=0x0, instance_and_params=0x7f213ab345a0)
    at gsignal.c:3174
#22 0x0000003e55823d09 in IA__g_signal_emit_valist (instance=0x267d170, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff58b86d80)
    at gsignal.c:2977
#23 0x0000003e55824273 in IA__g_signal_emit (instance=0x22f9820, signal_id=128, 
    detail=36673632) at gsignal.c:3034
#24 0x0000000000881d73 in gtk_widget_map () from /usr/lib64/libgtk-x11-2.0.so.0
#25 0x00000000008941ce in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#26 0x0000003e5580b82d in IA__g_closure_invoke (closure=0x22fb530, return_value=0x0, 
    n_param_values=1, param_values=0x7f213ab2e2c0, invocation_hint=0x7fff58b87070)
    at gclosure.c:767
#27 0x0000003e55821f3e in signal_emit_unlocked_R (node=0x231c8d0, detail=0, 
    instance=0x267d170, emission_return=0x0, instance_and_params=0x7f213ab2e2c0)
    at gsignal.c:3174
#28 0x0000003e55823d09 in IA__g_signal_emit_valist (instance=0x267d170, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff58b87250)
    at gsignal.c:2977
#29 0x0000003e55824273 in IA__g_signal_emit (instance=0x22f9820, signal_id=128, 
    detail=36673632) at gsignal.c:3034
#30 0x00000000008826bb in gtk_widget_show () from /usr/lib64/libgtk-x11-2.0.so.0
#31 0x00000000006c8fb0 in gtk_dialog_run () from /usr/lib64/libgtk-x11-2.0.so.0
#32 0x00007f213b0b1091 in RunDialog::run (this=0x7f213b7c1398)
    at /usr/src/debug/OOO300_m15/fpicker/source/unx/gnome/SalGtkPicker.cxx:186
#33 0x00007f213b0b952c in SalGtkFilePicker::execute (this=0x7f213cb22700)
    at /usr/src/debug/OOO300_m15/fpicker/source/unx/gnome/SalGtkFilePicker.cxx:1055
#34 0x0000003ee58ef620 in sfx2::FileDialogHelper_Impl::implDoExecute (
    this=0x7f213bc0d208)
    at /usr/src/debug/OOO300_m15/sfx2/source/dialog/filedlghelper.cxx:1347
#35 0x0000003ee58ef856 in sfx2::FileDialogHelper_Impl::execute (this=0x7f213bc0d208, 
    rpURLList=@0x7fff58b88f70, rpSet=@0x7fff58b89478, rFilter=@0x7fff58b89450)
    at /usr/src/debug/OOO300_m15/sfx2/source/dialog/filedlghelper.cxx:1541
#36 0x0000003ee58f014d in sfx2::FileDialogHelper::Execute (this=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    rpSet=@0xfffffffffffffe00, rFilter=@0xffffffffffffffff)
    at /usr/src/debug/OOO300_m15/sfx2/source/dialog/filedlghelper.cxx:2462
#37 0x0000003ee582093e in ModelData_Impl::OutputFileDialog (this=0x7fff58b898e0, 
    nStoreMode=3 '\003', aPreselectedFilterPropsHM=@0x7fff58b89a10, 
    bSetStandardName=0 '\0', aUserSelectedName=@0x7fff58b8a810, 
    bPreselectPassword=0 '\0', rPath=@0x7fff58b89d60, nDialog=0, 
    rStandardDir=@0x7fff58b89d30)
    at /usr/src/debug/OOO300_m15/sfx2/source/doc/guisaveas.cxx:950
#38 0x0000003ee5824b2c in SfxStoringHelper::GUIStoreModel (this=<value optimized out>, 
    xModel=<value optimized out>, aSlotName=<value optimized out>, 
    aArgsSequence=@0x7fff58b8a5c0, bPreselectPassword=0 '\0', aUserSelectedName=
      {pData = 0x3edfa625cc})
    at /usr/src/debug/OOO300_m15/sfx2/source/doc/guisaveas.cxx:1327
#39 0x0000003ee57c9879 in SfxObjectShell::ExecFile_Impl (this=0x7f21416c4c48, 
    rReq=@0x7fff58b8adc0) at /usr/src/debug/OOO300_m15/sfx2/source/doc/objserv.cxx:661
#40 0x0000003ee588da33 in SfxShell::CallExec () at ../../inc/sfx2/shell.hxx:204
#41 SfxDispatcher::Call_Impl (this=0x7f2140c87268, rShell=@0x7f21416c4c48, 
    rSlot=@0x3ee5c0cc30, rReq=@0x7fff58b8adc0, bRecord=<value optimized out>)
    at /usr/src/debug/OOO300_m15/sfx2/source/control/dispatch.cxx:306
#42 0x0000003ee5883210 in SfxBindings::Execute_Impl (this=0x7f2140e68978, 
    aReq=@0x7fff58b8adc0, pSlot=0x3ee5c0cc30, pShell=0x7f21416c4c48)
    at /usr/src/debug/OOO300_m15/sfx2/source/control/bindings.cxx:1704
#43 0x0000003ee58ae2c5 in SfxDispatchController_Impl::dispatch (this=0x7f213ba20a88, 
    aURL=@0x7fff58b8afe0, aArgs=<value optimized out>, rListener=@0x7fff58b8af40)
    at /usr/src/debug/OOO300_m15/sfx2/source/control/unoctitm.cxx:796
#44 0x0000003ee58aea49 in SfxOfficeDispatch::dispatch (this=0x7f213bc02af0, 
    aURL=@0x7fff58b8afe0, aArgs=@0x7fff58b8b150)
    at /usr/src/debug/OOO300_m15/sfx2/source/control/unoctitm.cxx:419
#45 0x00007f21457c2da0 in framework::MenuBarManager::Select (this=0x7f213f3774f0, 
    pMenu=0x7f213bc02af0)
    at /usr/src/debug/OOO300_m15/framework/source/uielement/menubarmanager.cxx:1403
#46 0x0000003ee3075e86 in Link::Call (pCaller=<value optimized out>, 
    this=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/OOO300_m15/solver/300/unxlngx6.pro/inc/tools/link.hxx:142
#47 Menu::Select (this=0x7f21405061d0)
    at /usr/src/debug/OOO300_m15/vcl/source/window/menu.cxx:1126
#48 0x0000003ee306fcf5 in Menu::ImplCallSelect (this=0x22f9820)
    at /usr/src/debug/OOO300_m15/vcl/source/window/menu.cxx:2763
#49 0x0000003ee30d8869 in Link::Call (pCaller=<value optimized out>, 
    this=<value optimized out>)
    at /usr/src/debug/OOO300_m15/solver/300/unxlngx6.pro/inc/tools/link.hxx:142
#50 ImplHandleUserEvent (pSVEvent=<value optimized out>)
    at /usr/src/debug/OOO300_m15/vcl/source/window/winproc.cxx:1999
#51 ImplWindowFrameProc (pWindow=0x7f214533a7f0, nEvent=<value optimized out>, 
    pEvent=0x7f213f325790)
    at /usr/src/debug/OOO300_m15/vcl/source/window/winproc.cxx:2504
#52 0x0000000003eca78a in SalFrame::CallCallback (pEvent=<value optimized out>, 
    nEvent=<value optimized out>, this=<value optimized out>)
    at ../../../inc/vcl/salframe.hxx:286
#53 SalDisplay::DispatchInternalEvent (this=0x7f214b1fb008)
    at /usr/src/debug/OOO300_m15/vcl/unx/source/app/saldisp.cxx:2265
#54 0x000000000186620f in GtkXLib::userEventFn (data=<value optimized out>)
    at /usr/src/debug/OOO300_m15/vcl/unx/gtk/app/gtkdata.cxx:729
#55 0x0000003e55437d1b in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1814
#56 IA__g_main_context_dispatch (context=0x231b110) at gmain.c:2367
#57 0x0000003e5543b4dd in g_main_context_iterate (context=0x231b110, block=0, 
    dispatch=1, self=<value optimized out>) at gmain.c:2448
#58 0x0000003e5543b69b in IA__g_main_context_iteration (context=0x231b110, may_block=0)
    at gmain.c:2511
#59 0x00000000018663a5 in GtkXLib::Yield (this=0x7f214b1fa008, bWait=true, 
    bHandleAllCurrentEvents=<value optimized out>)
    at /usr/src/debug/OOO300_m15/vcl/unx/gtk/app/gtkdata.cxx:784
#60 0x0000003ee2ef013e in Application::Yield (bAllEvents=96)
    at /usr/src/debug/OOO300_m15/vcl/source/app/svapp.cxx:502
#61 0x0000003ee2ef01b7 in Application::Execute ()
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/OOO300_m15/vcl/source/app/svapp.cxx:461
#62 0x0000003ee7e29269 in desktop::Desktop::Main (this=0x7fff58b8bd00)
    at /usr/src/debug/OOO300_m15/desktop/source/app/app.cxx:1547
#63 0x0000003ee2ef4754 in ImplSVMain ()
    at /usr/src/debug/OOO300_m15/vcl/source/app/svmain.cxx:195
#64 0x0000003ee2ef47f5 in SVMain ()
    at /usr/src/debug/OOO300_m15/vcl/source/app/svmain.cxx:236
#65 0x0000003ee7e5be4c in soffice_main ()
    at /usr/src/debug/OOO300_m15/desktop/source/app/sofficemain.cxx:52
#66 0x0000000000400f8b in sal_main () at main.c:38
#67 main (argc=<value optimized out>, argv=<value optimized out>) at main.c:37
(gdb) cont
Continuing.
[Thread 0x7f21427b3910 (LWP 17884) exited]
^C
Program received signal SIGINT, Interrupt.
__lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
136	2:	movl	%edx, %eax
(gdb) info threads
  6 Thread 0x7f21440fe910 (LWP 17861)  0x000000300ecdca16 in __poll (
    fds=0x7f21440fdd10, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:87
  5 Thread 0x7f2150b34910 (LWP 17757)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  4 Thread 0x7f2148411910 (LWP 17801)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
  3 Thread 0x7f2147a00910 (LWP 17802)  0x000000300f80e76b in accept ()
   from /lib64/libpthread.so.0
  2 Thread 0x7f2146c58910 (LWP 17811)  0x000000300ecdca16 in __poll (
    fds=0x7f2146cf26f0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
* 1 Thread 0x7f2150b467f0 (LWP 17734)  __lll_lock_wait ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
(gdb) bt
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
#1  0x000000300f80bda0 in pthread_cond_broadcast@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_broadcast.S:118
#2  0x000000301184c327 in ?? () from /usr/lib64/libX11.so.6
#3  0x000000301184c69d in ?? () from /usr/lib64/libX11.so.6
#4  0x000000301184cf59 in _XReadEvents () from /usr/lib64/libX11.so.6
#5  0x000000301182b864 in XIfEvent () from /usr/lib64/libX11.so.6
#6  0x00000000001601f9 in gdk_x11_get_server_time () from /usr/lib64/libgdk-x11-2.0.so.0
#7  0x0000000000895699 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x0000000000896a6b in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x0000000000896cde in gtk_clipboard_set_with_owner ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#10 0x00000000006d36d1 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#11 0x0000000000700da5 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x00000000006d4467 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x0000000000701321 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x0000003e5580b82d in IA__g_closure_invoke (closure=0x231cd80, return_value=0x0, 
    n_param_values=1, param_values=0x7f213ab50d00, invocation_hint=0x7fff58b86740)
    at gclosure.c:767
#15 0x0000003e558222f4 in signal_emit_unlocked_R (node=0x231e480, detail=0, 
    instance=0x23a3870, emission_return=0x0, instance_and_params=0x7f213ab50d00)
    at gsignal.c:3282
#16 0x0000003e55823d09 in IA__g_signal_emit_valist (instance=0x23a3870, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff58b86920)
    at gsignal.c:2977
#17 0x0000003e55824273 in IA__g_signal_emit (instance=0x22f9820, signal_id=128, 
    detail=36673632) at gsignal.c:3034
#18 0x000000000087d9db in gtk_widget_grab_focus () from /usr/lib64/libgtk-x11-2.0.so.0
#19 0x00000000006fe175 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x0000003e5580b82d in IA__g_closure_invoke (closure=0x231ca60, return_value=0x0, 
    n_param_values=1, param_values=0x7f213ab345a0, invocation_hint=0x7fff58b86ba0)
    at gclosure.c:767
#21 0x0000003e55821f3e in signal_emit_unlocked_R (node=0x231cad0, detail=0, 
---Type <return> to continue, or q <return> to quit---
    instance=0x267d170, emission_return=0x0, instance_and_params=0x7f213ab345a0)
    at gsignal.c:3174
#22 0x0000003e55823d09 in IA__g_signal_emit_valist (instance=0x267d170, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff58b86d80)
    at gsignal.c:2977
#23 0x0000003e55824273 in IA__g_signal_emit (instance=0x22f9820, signal_id=128, 
    detail=36673632) at gsignal.c:3034
#24 0x0000000000881d73 in gtk_widget_map () from /usr/lib64/libgtk-x11-2.0.so.0
#25 0x00000000008941ce in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#26 0x0000003e5580b82d in IA__g_closure_invoke (closure=0x22fb530, return_value=0x0, 
    n_param_values=1, param_values=0x7f213ab2e2c0, invocation_hint=0x7fff58b87070)
    at gclosure.c:767
#27 0x0000003e55821f3e in signal_emit_unlocked_R (node=0x231c8d0, detail=0, 
    instance=0x267d170, emission_return=0x0, instance_and_params=0x7f213ab2e2c0)
    at gsignal.c:3174
#28 0x0000003e55823d09 in IA__g_signal_emit_valist (instance=0x267d170, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff58b87250)
    at gsignal.c:2977
#29 0x0000003e55824273 in IA__g_signal_emit (instance=0x22f9820, signal_id=128, 
    detail=36673632) at gsignal.c:3034
#30 0x00000000008826bb in gtk_widget_show () from /usr/lib64/libgtk-x11-2.0.so.0
#31 0x00000000006c8fb0 in gtk_dialog_run () from /usr/lib64/libgtk-x11-2.0.so.0
#32 0x00007f213b0b1091 in RunDialog::run (this=0x7f213b7c1398)
    at /usr/src/debug/OOO300_m15/fpicker/source/unx/gnome/SalGtkPicker.cxx:186
#33 0x00007f213b0b952c in SalGtkFilePicker::execute (this=0x7f213cb22700)
    at /usr/src/debug/OOO300_m15/fpicker/source/unx/gnome/SalGtkFilePicker.cxx:1055
#34 0x0000003ee58ef620 in sfx2::FileDialogHelper_Impl::implDoExecute (
    this=0x7f213bc0d208)
    at /usr/src/debug/OOO300_m15/sfx2/source/dialog/filedlghelper.cxx:1347
#35 0x0000003ee58ef856 in sfx2::FileDialogHelper_Impl::execute (this=0x7f213bc0d208, 
    rpURLList=@0x7fff58b88f70, rpSet=@0x7fff58b89478, rFilter=@0x7fff58b89450)
    at /usr/src/debug/OOO300_m15/sfx2/source/dialog/filedlghelper.cxx:1541
#36 0x0000003ee58f014d in sfx2::FileDialogHelper::Execute (this=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    rpSet=@0xfffffffffffffe00, rFilter=@0xffffffffffffffff)
    at /usr/src/debug/OOO300_m15/sfx2/source/dialog/filedlghelper.cxx:2462
#37 0x0000003ee582093e in ModelData_Impl::OutputFileDialog (this=0x7fff58b898e0, 
    nStoreMode=3 '\003', aPreselectedFilterPropsHM=@0x7fff58b89a10, 
    bSetStandardName=0 '\0', aUserSelectedName=@0x7fff58b8a810, 
    bPreselectPassword=0 '\0', rPath=@0x7fff58b89d60, nDialog=0, 
    rStandardDir=@0x7fff58b89d30)
    at /usr/src/debug/OOO300_m15/sfx2/source/doc/guisaveas.cxx:950
#38 0x0000003ee5824b2c in SfxStoringHelper::GUIStoreModel (this=<value optimized out>, 
    xModel=<value optimized out>, aSlotName=<value optimized out>, 
    aArgsSequence=@0x7fff58b8a5c0, bPreselectPassword=0 '\0', aUserSelectedName=
      {pData = 0x3edfa625cc})
    at /usr/src/debug/OOO300_m15/sfx2/source/doc/guisaveas.cxx:1327
#39 0x0000003ee57c9879 in SfxObjectShell::ExecFile_Impl (this=0x7f21416c4c48, 
    rReq=@0x7fff58b8adc0) at /usr/src/debug/OOO300_m15/sfx2/source/doc/objserv.cxx:661
#40 0x0000003ee588da33 in SfxShell::CallExec () at ../../inc/sfx2/shell.hxx:204
#41 SfxDispatcher::Call_Impl (this=0x7f2140c87268, rShell=@0x7f21416c4c48, 
    rSlot=@0x3ee5c0cc30, rReq=@0x7fff58b8adc0, bRecord=<value optimized out>)
    at /usr/src/debug/OOO300_m15/sfx2/source/control/dispatch.cxx:306
#42 0x0000003ee5883210 in SfxBindings::Execute_Impl (this=0x7f2140e68978, 
    aReq=@0x7fff58b8adc0, pSlot=0x3ee5c0cc30, pShell=0x7f21416c4c48)
    at /usr/src/debug/OOO300_m15/sfx2/source/control/bindings.cxx:1704
#43 0x0000003ee58ae2c5 in SfxDispatchController_Impl::dispatch (this=0x7f213ba20a88, 
    aURL=@0x7fff58b8afe0, aArgs=<value optimized out>, rListener=@0x7fff58b8af40)
    at /usr/src/debug/OOO300_m15/sfx2/source/control/unoctitm.cxx:796
#44 0x0000003ee58aea49 in SfxOfficeDispatch::dispatch (this=0x7f213bc02af0, 
    aURL=@0x7fff58b8afe0, aArgs=@0x7fff58b8b150)
    at /usr/src/debug/OOO300_m15/sfx2/source/control/unoctitm.cxx:419
#45 0x00007f21457c2da0 in framework::MenuBarManager::Select (this=0x7f213f3774f0, 
    pMenu=0x7f213bc02af0)
    at /usr/src/debug/OOO300_m15/framework/source/uielement/menubarmanager.cxx:1403
#46 0x0000003ee3075e86 in Link::Call (pCaller=<value optimized out>, 
    this=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/OOO300_m15/solver/300/unxlngx6.pro/inc/tools/link.hxx:142
#47 Menu::Select (this=0x7f21405061d0)
    at /usr/src/debug/OOO300_m15/vcl/source/window/menu.cxx:1126
#48 0x0000003ee306fcf5 in Menu::ImplCallSelect (this=0x22f9820)
    at /usr/src/debug/OOO300_m15/vcl/source/window/menu.cxx:2763
#49 0x0000003ee30d8869 in Link::Call (pCaller=<value optimized out>, 
    this=<value optimized out>)
    at /usr/src/debug/OOO300_m15/solver/300/unxlngx6.pro/inc/tools/link.hxx:142
#50 ImplHandleUserEvent (pSVEvent=<value optimized out>)
    at /usr/src/debug/OOO300_m15/vcl/source/window/winproc.cxx:1999
#51 ImplWindowFrameProc (pWindow=0x7f214533a7f0, nEvent=<value optimized out>, 
    pEvent=0x7f213f325790)
    at /usr/src/debug/OOO300_m15/vcl/source/window/winproc.cxx:2504
#52 0x0000000003eca78a in SalFrame::CallCallback (pEvent=<value optimized out>, 
    nEvent=<value optimized out>, this=<value optimized out>)
    at ../../../inc/vcl/salframe.hxx:286
#53 SalDisplay::DispatchInternalEvent (this=0x7f214b1fb008)
    at /usr/src/debug/OOO300_m15/vcl/unx/source/app/saldisp.cxx:2265
#54 0x000000000186620f in GtkXLib::userEventFn (data=<value optimized out>)
    at /usr/src/debug/OOO300_m15/vcl/unx/gtk/app/gtkdata.cxx:729
#55 0x0000003e55437d1b in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1814
#56 IA__g_main_context_dispatch (context=0x231b110) at gmain.c:2367
#57 0x0000003e5543b4dd in g_main_context_iterate (context=0x231b110, block=0, 
    dispatch=1, self=<value optimized out>) at gmain.c:2448
#58 0x0000003e5543b69b in IA__g_main_context_iteration (context=0x231b110, may_block=0)
    at gmain.c:2511
#59 0x00000000018663a5 in GtkXLib::Yield (this=0x7f214b1fa008, bWait=true, 
    bHandleAllCurrentEvents=<value optimized out>)
    at /usr/src/debug/OOO300_m15/vcl/unx/gtk/app/gtkdata.cxx:784
#60 0x0000003ee2ef013e in Application::Yield (bAllEvents=96)
    at /usr/src/debug/OOO300_m15/vcl/source/app/svapp.cxx:502
#61 0x0000003ee2ef01b7 in Application::Execute ()
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/OOO300_m15/vcl/source/app/svapp.cxx:461
#62 0x0000003ee7e29269 in desktop::Desktop::Main (this=0x7fff58b8bd00)
    at /usr/src/debug/OOO300_m15/desktop/source/app/app.cxx:1547
#63 0x0000003ee2ef4754 in ImplSVMain ()
    at /usr/src/debug/OOO300_m15/vcl/source/app/svmain.cxx:195
#64 0x0000003ee2ef47f5 in SVMain ()
    at /usr/src/debug/OOO300_m15/vcl/source/app/svmain.cxx:236
#65 0x0000003ee7e5be4c in soffice_main ()
    at /usr/src/debug/OOO300_m15/desktop/source/app/sofficemain.cxx:52
#66 0x0000000000400f8b in sal_main () at main.c:38
#67 main (argc=<value optimized out>, argv=<value optimized out>) at main.c:37


Version-Release number of selected component (if applicable):

openoffice.org-core-3.0.1-15.5.fc11.x86_64
gtk2-2.15.2-4.fc11.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Open a odp file
2. Attempt to export to PDF
3. Hit the export button
  
Actual results:

Hang

Expected results:

No hang
Comment 1 Caolan McNamara 2009-02-03 18:25:29 EST

*** This bug has been marked as a duplicate of bug 477174 ***

Note You need to log in before you can comment on or make changes to this bug.